---
updatedAt: 2026-02-10T18:50:36.000Z
agentTools:
  siteIndex: https://developer.paylocity.com/llms.txt
  projectIndex: https://developer.paylocity.com/integrations/llms.txt
---

# Update Job Code

**Summary Description**

The PUT Job Code method allows users to update the configuration of an existing Job Code within a specific company. The `PUT` method is designed to perform a full replacement of the resource. When a `PUT` request is made, the entire Job Code record is overwritten with the contents of the payload. This means that any fields omitted in the request will be set to `null` or their system defaults.

To use this endpoint, the payload must follow the schema defined by the Paylocity API for the Job Code object. Both the **Company ID** and **Job Code ID** are required path parameters.

This endpoint is typically used in scenarios where a complete update to a Job Code is necessary, such as modifying compensation groups, classifications, or job descriptions.

**Use Cases**

- Update existing Job Codes in Paylocity with new information. *Please note: All PUT requests will overwrite all data on the Job Code.* 


# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Company Level Information",
    "version": "v1"
  },
  "servers": [
    {
      "url": "dc1demogwext.paylocity.com"
    }
  ],
  "paths": {
    "/apiHub/payroll/v1/companies/{companyId}/jobs/{jobCode}": {
      "put": {
        "tags": [
          "Job Codes"
        ],
        "summary": "Update Job Code",
        "description": "**Summary Description**\n\nThe PUT Job Code method allows users to update the configuration of an existing Job Code within a specific company. The `PUT` method is designed to perform a full replacement of the resource. When a `PUT` request is made, the entire Job Code record is overwritten with the contents of the payload. This means that any fields omitted in the request will be set to `null` or their system defaults.\n\nTo use this endpoint, the payload must follow the schema defined by the Paylocity API for the Job Code object. Both the **Company ID** and **Job Code ID** are required path parameters.\n\nThis endpoint is typically used in scenarios where a complete update to a Job Code is necessary, such as modifying compensation groups, classifications, or job descriptions.\n\n**Use Cases**\n\n- Update existing Job Codes in Paylocity with new information. *Please note: All PUT requests will overwrite all data on the Job Code.* \n",
        "x-explorer-enabled": false,
        "parameters": [
          {
            "name": "companyId",
            "in": "path",
            "description": "The Paylocity Company Identifier. This is the unique value provided by Paylocity to each specific Payroll Entity.\r\n                **Allowable Values:**\r\n                9 char max",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "A12345"
          },
          {
            "name": "jobCode",
            "in": "path",
            "description": "A specific identifier or label assigned to individual tasks, projects, or assignments within a company.\r\n                **Allowable Values:**\r\n                A Job Code may contain up to 20 alpha-numeric characters. Spaces or special characters are not allowed",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "Authorization token. Ex. Bearer ...",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "description": "Job Code data",
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateJobCodeDto"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateJobCodeDto"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateJobCodeDto"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateJobCodeDto"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "CompanyAddressDto": {
        "type": "object",
        "properties": {
          "line1": {
            "type": "string",
            "description": "The address where the job code will be used",
            "nullable": true
          },
          "line2": {
            "type": "string",
            "description": "The address where the job code will be used",
            "nullable": true
          },
          "city": {
            "type": "string",
            "description": "The city where the job code will be used",
            "nullable": true
          },
          "state": {
            "type": "string",
            "description": "The state where the job code will be used",
            "nullable": true
          },
          "zip": {
            "type": "string",
            "description": "The zip code where the job code will be used",
            "nullable": true
          },
          "county": {
            "type": "string",
            "description": "The county where the job code will be used",
            "nullable": true
          },
          "country": {
            "type": "string",
            "description": "The country where the job code will be used",
            "nullable": true
          }
        },
        "additionalProperties": {
          "type": "object",
          "nullable": true
        },
        "description": "Address"
      },
      "PayEntryDto": {
        "type": "object",
        "properties": {
          "shift": {
            "type": "string",
            "description": "This field is used to enter an override company-defined shift code to be charged by the employee",
            "nullable": true
          },
          "rateCode": {
            "type": "string",
            "description": "The employee’s pay rate. If no rate is entered, the employees base rate will be used",
            "nullable": true
          },
          "rate": {
            "type": "number",
            "description": "The rate of pay for the job code",
            "format": "double",
            "nullable": true
          },
          "addingRateConstant": {
            "type": "number",
            "description": "Rate + or + Is employee pay rate + the SD Schedule Differential plus or times the bonus",
            "format": "double",
            "nullable": true
          },
          "multiplyingRateConstant": {
            "type": "number",
            "description": "Rate X or + Is employee pay rate X the SD Schedule Differential plus or times the bonus",
            "format": "double",
            "nullable": true
          },
          "workerComputedCode": {
            "type": "string",
            "description": "The company defined workers comp code for work performed by the employee",
            "nullable": true
          },
          "tax": {
            "$ref": "#/components/schemas/TaxDto"
          }
        },
        "additionalProperties": {
          "type": "object",
          "nullable": true
        },
        "description": "Override Pay Entry Only"
      },
      "PayrollBasedJournalDto": {
        "type": "object",
        "properties": {
          "jobTitleCode": {
            "type": "string",
            "description": "This is a Job Title Code for which the certified job code CMS PBJ Report (Centers for Medicare and Medicaid Services Payroll Based Journal) will be utilized to calculate labor costs",
            "nullable": true
          },
          "facilityId": {
            "type": "string",
            "description": "This is a Facility id for which the certified job code CMS PBJ Report (Centers for Medicare and Medicaid Services Payroll Based Journal) will be utilized to calculate labor costs",
            "nullable": true
          },
          "stateId": {
            "type": "string",
            "description": "This is a State ID for which the certified job code CMS PBJ Report (Centers for Medicare and Medicaid Services Payroll Based Journal) will be utilized to calculate labor costs",
            "nullable": true
          }
        },
        "additionalProperties": {
          "type": "object",
          "nullable": true
        },
        "description": "CMS/PBJ Data Only"
      },
      "TaxDto": {
        "type": "object",
        "properties": {
          "state": {
            "type": "string",
            "description": "State",
            "nullable": true
          },
          "local1": {
            "type": "string",
            "description": "This is the local tax code used for the job code",
            "nullable": true
          },
          "local2": {
            "type": "string",
            "description": "This  is the second local tax code used for the job code",
            "nullable": true
          },
          "local3": {
            "type": "string",
            "description": "This is the third local tax code  used for the job code",
            "nullable": true
          }
        },
        "additionalProperties": {
          "type": "object",
          "nullable": true
        },
        "description": "State Tax"
      },
      "UpdateJobCodeDto": {
        "type": "object",
        "properties": {
          "description": {
            "type": "string",
            "description": "The Job Code description may contain up to 40 alpha-numeric characters. Spaces or special characters are not allowed",
            "nullable": true
          },
          "isActive": {
            "type": "boolean",
            "description": "Active (Yes/No). The job code is currently active or inactive",
            "nullable": true
          },
          "isCertified": {
            "type": "boolean",
            "description": "Certified Job (Yes/No). This is a certified job code as per the CMS PBJ Report (Centers for Medicare and Medicaid Services Payroll Based Journal) job costing report by industry",
            "nullable": true
          },
          "payEntry": {
            "$ref": "#/components/schemas/PayEntryDto"
          },
          "address": {
            "$ref": "#/components/schemas/CompanyAddressDto"
          },
          "payrollBasedJournal": {
            "$ref": "#/components/schemas/PayrollBasedJournalDto"
          }
        },
        "additionalProperties": {
          "type": "object",
          "nullable": true
        },
        "description": "Job Details"
      }
    }
  }
}
```